ifndef verbose
	SILENT = @
endif

.PHONY: all
all: kApi GoApi GoPxLSdk 

.PHONY: kApi
kApi: 
	$(SILENT) $(MAKE) -C ../Platform/kApi -f kApi-Linux_X64.mk

.PHONY: GoApi
GoApi: kApi 
	$(SILENT) $(MAKE) -C GoApi -f GoApi-Linux_X64.mk

.PHONY: GoPxLSdk
GoPxLSdk: GoApi 
	$(SILENT) $(MAKE) -C GoPxLSdk -f GoPxLSdk-Linux_X64.mk

.PHONY: clean
clean: kApi-clean GoApi-clean GoPxLSdk-clean 

.PHONY: kApi-clean
kApi-clean:
	$(SILENT) $(MAKE) -C ../Platform/kApi -f kApi-Linux_X64.mk clean

.PHONY: GoApi-clean
GoApi-clean:
	$(SILENT) $(MAKE) -C GoApi -f GoApi-Linux_X64.mk clean

.PHONY: GoPxLSdk-clean
GoPxLSdk-clean:
	$(SILENT) $(MAKE) -C GoPxLSdk -f GoPxLSdk-Linux_X64.mk clean


