/**
 * @file    GoChannelException.cs
 *
 * @internal
 * Copyright (C) 2022-2023 by LMI Technologies Inc.
 * Licensed under the MIT License.
 * Redistributed files must retain the above copyright notice.
 */
using System;

namespace GoPxLSdk
{
    public class GoChannelException : Exception
    {
        public GoChannelException()
            : this("GoChannelError")
        { }

        public GoChannelException(string message)
            : base(message)
        { }
    }
}