#!/usr/bin/python

import os
import sys

def Generate():

    herePath = os.path.dirname(os.path.realpath(__file__))
    workDir = os.path.normpath(os.path.join(herePath, '..', '..'))
    sys.path.append(workDir)
    
    print('Generating solution file for GoPxLSdkNet...')
    import Platform.scripts.Utils.kGenerator as generator

    # Generate Visual Studio projects/solution.
    generator.WriteSolution(
        os.path.join(herePath, '..', 'GoPxLSdkNet.xml'), 
        ['MsvcChooser'],
        ['Win64']
    )

if __name__ == '__main__':
    Generate()